import request from '@/utils/request'

// 查询市场监管-经营异常列表
export function listAbnormality(query) {
    return request({
        url: '/crmBusinessAbnormality/findByPage',
        method: 'get',
        params: query
    })
}

// 查询市场监管-经营异常详细
export function getAbnormality(id) {
    return request({
        url: '/crmBusinessAbnormality/' + id,
        method: 'get'
    })
}

// 新增市场监管-经营异常
export function addAbnormality(data) {
    return request({
        url: '/crmBusinessAbnormality',
        method: 'post',
        data: data
    })
}

// 修改市场监管-经营异常
export function updateAbnormality(data) {
    return request({
        url: '/crmBusinessAbnormality',
        method: 'put',
        data: data
    })
}

// 删除市场监管-经营异常
export function delAbnormality(id) {
    return request({
        url: '/crmBusinessAbnormality/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAbnormalityBatch(ids) {
    console.log(ids);
    return request.post('/crmBusinessAbnormality/delete',ids)
}